\ProvidesClass{pseasia2016}
\NeedsTeXFormat{LaTeX2e}
\LoadClass[fleqn,a4paper,10pt,twoside]{article}
%\usepackage{fontspec} %these two lines are for lualatex or xelatex
%\setmainfont{Times New Roman}
%\usepackage{times} %not recommended
\usepackage[T1]{fontenc}% these 3 lines are for pdflatex
\usepackage[utf8]{inputenc} 
\usepackage{mathptmx}
%
\usepackage{natbib}
%
\markboth{\small July 24--27, 2016, Tokyo, Japan}{\small The 7$^{\rm th}$ International Symposium on Design, Operation and Control of Chemical Processes (PSE ASIA 2016)}
%
\makeatletter
\def\@maketitle{%
 \begin{center}
  \Large \bfseries \@title 
 \end{center}
 \vspace*{2pt} 
 \begin{center}
  \large \@author
 \end{center}
 \begin{center}
  \large \@affiliation
 \end{center}
 \begin{center}
  \large $^*$Corresponding Author's E-mail: \@email
 \end{center}
 \vspace*{2pt}
}

\def\maketitle{\par
 \begingroup
 \@maketitle
 \endgroup	
}

\def\abstract{%
\noindent{\large\bfseries ABSTRACT:}
}

\def\endabstract{%
\par \vspace*{12pt}
\noindent{\large \bfseries Keywords:} \@keywords \par	\vspace*{2pt}
}

\def\affiliation#1{\gdef\@affiliation{#1}} \gdef\@affiliation{}
\def\email#1{\gdef\@email{#1}} \gdef\@email{}
\def\keywords#1{\gdef\@keywords{#1}} \gdef\@keywords{}

\renewcommand\section{\@startsection{section}{1}{\z@}%
 {-3.25ex \@plus -1ex \@minus -.2ex}
 {0.5ex \@plus .2ex}
 {\large\bfseries}}
\renewcommand\subsection{\@startsection{subsection}{2}{\z@}%
 {-3.25ex \@plus -1ex \@minus -.2ex}
 {0.5ex \@plus .2ex}
 {\large\it}}
\renewcommand\subsubsection{\@startsection{subsubsection}{3}{\z@}%
 {-3.25ex \@plus -1ex \@minus -.2ex}
 {0.5ex \@plus .2ex}
 {\large\it}}
\renewcommand\paragraph{\@startsection{paragraph}{4}{\z@}%
{0.25ex \@plus1ex \@minus.2ex}{-1em}{\normalfont\normalsize\bfseries}}

\def\@oddhead{\rightmark\hfill}
\def\@ps@titlepage{\let\oddhead\@empty}
\def\@evenhead{\hfil \leftmark}
   
\makeatother
%
\setlength{\textheight}{25.8cm}
\setlength{\textwidth}{16cm}
\setlength{\oddsidemargin}{1mm}
\setlength{\evensidemargin}{-1mm}
\setlength{\topmargin}{-19mm}
\setlength{\abovecaptionskip}{0mm}
\setlength{\baselineskip}{1ex}
\setlength{\parskip}{1pt}

